{% extends "local.html" %}
{% load static cache icon %}

{% block title %}
    Demande d'emprunt du local
{% endblock %}

{% block content %}

    <header>
        <h1>Demande d'emprunt du local</h1>
        <div class="header-content">
            <p class="card-text">
                En tant que membre, vous pouvez réserver le local de l'association, afin de mener un projet créatif
                et audiovisuel. Choisissez les dates pendant lesquelles vous souhaitez le réserver.
                En fonction des dates choisies, le bureau vous contactera pour vous permettre d'y accéder le moment
                voulu.
            </p>

            <p>
                Tous les emprunts du local sont disponibles au format iCal <a
                    href="{% url 'local_calendrier' %}">ici</a>.
            </p>

            {% if tache %}
                <div class="alert alert-success" role="alert">
                    Votre emprunt sera relié à la tâche <strong>{{ tache.nom }}</strong> du projet
                    <strong>{{ tache.projet.nom }}</strong>.
                </div>
            {% endif %}

            {% for alert in alerts %}
                <div class="alert alert-{{ alert.type }}" role="alert">
                    <strong>{{ alert.titre }}</strong>{{ alert.contenu }}
                </div>
            {% endfor %}

            {% for _, error in form.errors.items %}
                <div class="alert alert-danger" role="alert">
                    <strong>Emprunt : </strong>{{ error }}
                </div>
            {% endfor %}
        </div>
    </header>


    <div class="container">
        <form class="needs-validation" id="demande-emprunt" method="post"
                {% if not tache %}
              action="{% url 'emprunt_local' %}">
                {% else %}
                    action="{% url 'emprunt_local' tache.id %}">
                {% endif %}
        {% csrf_token %}
        {% cache 300 local request.user.username %}
            <h2 class="title">Dates d'emprunt</h2>

            <div class="form-group date">
                {{ form.debut.label_tag }}
                <div class="input-group">
                    <div class="input-group-prepend">
                        <span class="input-group-text"><i class="far fa-calendar"></i></span>
                    </div>
                    {{ form.debut }}
                    <div class="invalid-feedback">
                        Date au format JJ/MM/AAAA HH:mm
                    </div>
                </div>
            </div>

            <div class="form-group date">
                {{ form.fin.label_tag }}
                <div class="input-group">
                    <div class="input-group-prepend">
                        <span class="input-group-text"><i class="far fa-calendar"></i></span>
                    </div>
                    {{ form.fin }}
                    <div class="invalid-feedback">
                        Date au format JJ/MM/AAAA HH:mm
                    </div>
                </div>
            </div>

            <p class="card-text" id="alerte-dates-egales" style="display: none; color: red;">
                Merci d'indiquer des dates qui ne sont pas égales !
            </p>
            <p class="card-text" id="alerte-dates-inversees" style="display: none; color: red;">
                Le début de votre emprunt a lieu après la fin !
            </p>

            <div class="card card-lg" style="display: none;">
                <div class="card-body row">
                    <div class="col-md-12">
                        <h3 class="title">Disponibilité</h3>
                        <p class="card-text" id="disponibilite_local">
                        </p>
                    </div>
                </div>
            </div>

            <h2 class="title">Commentaire</h2>

            <section>
                {{ form.raison.label_tag }}
                <div class="input-group form-group" id="raison">
                    {{ form.raison }}
                    <div class="invalid-feedback">
                        Ce champ est requis !
                    </div>
                </div>

                <div class="row">
                    <div class="col-md-12 text-center">
                        <button type="submit" id="valider" class="btn btn-primary btn-xs">
                            Valider la demande
                        </button>
                    </div>
                </div>
            </section>
        {% endcache %}
        </form>
    </div>
{% endblock %}

{% block footer_javascript %}
    {# Date time picker #}
    <script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/moment.js/2.22.2/moment.min.js"></script>
    <script type="text/javascript"
            src="https://cdnjs.cloudflare.com/ajax/libs/tempusdominus-bootstrap-4/5.0.0/js/tempusdominus-bootstrap-4.min.js"></script>
    <link rel="stylesheet"
          href="https://cdnjs.cloudflare.com/ajax/libs/tempusdominus-bootstrap-4/5.0.0/css/tempusdominus-bootstrap-4.min.css"/>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/moment.js/2.22.2/locale/fr.js"></script>

    <script type="text/javascript">
        let url_local_disponibilite = '{% url 'local_disponibilite' %}';
    </script>
    <script src="{% static 'materiel/js/local.js' %}?v=2"></script>
{% endblock %}
